require("luamods/command")
require("config/rsm_conf")
require("luamods/rsm_serials")



local snmpEditor = {}

local pretty = require("pl.pretty")

local configPars = require("configParser")
local snmpPath = "/etc/rsm/sdd/devices/"

function snmpEditor:getXmlFiles()


  local templatesFiles = command.getFilesInTable(snmpPath)


local returnTable = {}
  count=1
  for key, fileName in ipairs(templatesFiles) do

    --print("filename: "..fileName)
    xmlForFile =  configPars.parse(snmpPath..fileName,"xml")

retTable[count] = xmlForFile
count=count+1

  end


return retTable

  --print(pretty.write(templatesFiles))


end



function snmpEditor:writeXmlFiles(fileTable)

  print("In write xmlFiles")

end

return snmpEditor
